> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stake Asset

> Stake an asset from your spot wallet. This operation requires an API key with `Withdraw funds` permission.



## OpenAPI

````yaml Crypto post /stakeAsset
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /stakeAsset:
    post:
      tags:
        - private
      summary: Stake Asset
      description: >-
        Stake an asset from your spot wallet. This operation requires an API key
        with `Withdraw funds` permission.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: integer
                  description: (Required) Nonce used in construction of `API-Sign` header
                  example: 58258880
                asset:
                  type: string
                  description: (Required) Asset to stake (asset ID or `altname`)
                  example: XBT
                amount:
                  type: string
                  description: (Required) Amount of the asset to stake
                  example: ipsum in
                method:
                  type: string
                  description: >-
                    (Required) Name of the staking option to use (refer to the
                    Staking Assets endpoint for the correct method names for
                    each asset)
                  example: sint
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  refid: BOG5AE5-KSCNR4-VPNPEV
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````